#-*- mode: Fundamental; tab-width: 4; -*-
# ex:ts=4
# $Id: gar.conf.mk,v 1.40 2002/09/07 19:54:25 nick Exp $

# This file contains configuration variables that are global to
# the GAR system.  Users wishing to make a change on a
# per-package basis should edit the category/package/Makefile, or
# specify environment variables on the make command-line.

# Variables that define the default *actions* (rather than just
# default data) of the system will remain in bbc.gar.mk
# (bbc.port.mk)

# Setting this variable will cause the results of your builds to
# be cleaned out after being installed.  Uncomment only if you
# desire this behavior!

# BUILD_CLEAN = true

# These are the standard directory name variables from all GNU
# makefiles.  They're also used by autoconf, and can be adapted
# for a variety of build systems.
# 
# TODO: set $(SYSCONFDIR) and $(LOCALSTATEDIR) to never use
# /usr/etc or /usr/var
prefix ?= /usr
exec_prefix = $(prefix)
bindir = $(exec_prefix)/bin
sbindir = $(exec_prefix)/sbin
libexecdir = $(exec_prefix)/libexec
datadir = $(prefix)/share
sysconfdir = /etc
sharedstatedir = $(prefix)/share
localstatedir = /var
libdir = $(exec_prefix)/lib
infodir = $(datadir)/info
includedir = $(prefix)/include
mandir = $(datadir)/man
docdir = $(datadir)/doc
sourcedir = $(prefix)/src

# the DESTDIR is used at INSTALL TIME ONLY to determine what the
# filesystem root should be.  The BUILD_PREFIX is the prefix that usurps
# the DESTDIR for build dependencies.  TRASH_PREFIX is where undesired
# parts of the system will be installed.  It should be considered
# relative to $(DESTDIR).  Thus, if includedir were set to
# $(TRASH_PREFIX)/include, it would expand out at install time (BUT NO
# SOONER) to /tmp/gar/../../tmp/build.  The /../../ at the front should
# be harmless, as .. for / is just / itself.  To install over your
# existing system, set DESTDIR to an empty string.
DESTDIR ?= $(HOME)/gusto/install
BUILD_PREFIX ?= /tmp/build
TRASH_PREFIX ?= $(ROOTFROMDEST)/tmp/trash

# Your C compiler.
CC = gcc

# Set your favorite CFLAGS and LDFLAGS here. If your compiler ($(CC)
# above) doesn't generate code for the host architecture by default, you
# may need to add the `-march' flag to CFLAGS, like ``-march=i386''.
CFLAGS ?= -O2
LDFLAGS ?= -s

CPPFLAGS += -I$(DESTDIR)$(includedir)
CFLAGS += -I$(DESTDIR)$(includedir)
# allow us to link to libraries we installed
LDFLAGS += -L$(DESTDIR)$(libdir)
# allow us to use build dependencies
PATH := $(BUILD_PREFIX)$(bindir):$(BUILD_PREFIX)$(sbindir):$(PATH)

# make these variables available to configure and build scripts
# outside of make's realm.
export DESTDIR prefix exec_prefix bindir sbindir libexecdir datadir sysconfdir 
export sharedstatedir localstatedir libdir infodir includedir mandir 
export docdir sourcedir
export CC CPPFLAGS CFLAGS LDFLAGS PATH
export PKG_CONFIG_PATH

GARCHIVEDIR = $(HOME)/gusto/garchive/$(DISTNAME)

# prepend the local file listing
FILE_SITES = file://$(FILEDIR)/ file://$(GARCHIVEDIR)/ file://$(DESTDIR)$(sourcedir)/

# If you wish, you can share a garchive on a fast local network to keep
# from downloading the files more than once. Put its URL here, like:
# FILE_SITES += ftp://gar.example.com/garchive/$(DISTNAME)/
# FILE_SITES += 

# This is an auxiliary configuration file that controls features used by
# Gusto. Make sure to edit it also!
include $(GARDIR)/gusto.conf.mk
