# Set BUILD to the type of the build computer and HOST to the type of
# the host computer in the style used by Autoconf; something like
# ``i386-pc-linux-gnu''. If you are compiling natively, make them both
# blank. If you are using a native compiler to generate code for a
# different CPU submodel, set them both to the same thing and add the
# appropriate flags (like `-march') to CFLAGS. If you are
# cross-compiling, make BUILD blank and set HOST to the type of the host
# computer. Also, if you are cross-compiling, you should configure the
# Linux kernel manually; see INSTALL.
BUILD = 
HOST = 
# CFLAGS += -march=i386

# This variable controls options used throughout the entire system.
# nls: Enable native language support.
USE = nls

# These values will be used for build dependencies and other programs
# that run on the build computer.
BUILD_CC = gcc
BUILD_CPPFLAGS =
BUILD_CFLAGS = -O2
BUILD_LDFLAGS =

# Define INSTALL_SOURCE to put downloaded source files in
# $(DESTDIR)$(sourcedir).
# INSTALL_SOURCE = true

# Set values that are specific to different build flavors here. You may
# want to put infodir, mandir and docdir outside of $(DESTDIR) to save
# space. Note that you can also test the value of BUILD_FLAVOR in the
# per-package makefiles.
ifeq ($(BUILD_FLAVOR),bootstrap)
infodir := $(TRASH_PREFIX)$(infodir)
mandir := $(TRASH_PREFIX)$(mandir)
docdir := $(TRASH_PREFIX)$(docdir)
USE := $(filter-out nls,$(USE))
endif
ifeq ($(BUILD_FLAVOR),devel)
# The meta/devel package modifies prefix, DESTDIR and BUILDDIR in its
# makefile.
sysconfdir := $(TRASH_PREFIX)$(sysconfdir)
localstatedir := $(TRASH_PREFIX)$(localstatedir)
infodir := $(TRASH_PREFIX)$(infodir)
mandir := $(TRASH_PREFIX)$(mandir)
docdir := $(TRASH_PREFIX)$(docdir)
endif
ifeq ($(BUILD_FLAVOR),mini)
infodir := $(TRASH_PREFIX)$(infodir)
includedir := $(TRASH_PREFIX)$(includedir)
mandir := $(TRASH_PREFIX)$(mandir)
docdir := $(TRASH_PREFIX)$(docdir)
sourcedir := $(TRASH_PREFIX)$(sourcedir)
USE := $(filter-out nls,$(USE))
endif

# Set to your local GNU mirror.
GNU_MIRROR = ftp://mirrors.kernel.org/gnu/
# This is a partial list; see http://www.gnu.org/order/ftp.html.
# ftp://gatekeeper.dec.com/pub/GNU/
# http://www.ibiblio.org/pub/gnu/

# Set to your preferred SourceForge mirror.
SOURCEFORGE_MIRROR = http://unc.dl.sourceforge.net/sourceforge/
# http://easynews.dl.sourceforge.net/sourceforge/
# http://telia.dl.sourceforge.net/sourceforge/
# http://twtelecom.dl.sourceforge.net/sourceforge/
# http://umn.dl.sourceforge.net/sourceforge/
# http://cesnet.dl.sourceforge.net/sourceforge/
# http://switch.dl.sourceforge.net/sourceforge/
# http://belnet.dl.sourceforge.net/sourceforge/

EXTRA_LIBS += gusto.lib.mk
